<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:common="http://common.bitel.ru">
<xsl:import href="layout.xsl"/>

	<xsl:template name="title">
		<xsl:choose>
			<xsl:when test="data/@action = 'WellPay'">
				Платежная система WellPay!
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="/data">
		<xsl:choose>
			<xsl:when test="@action = 'WellPay'">
				<xsl:choose>
					<xsl:when test="common:result/attributes/item[@key='status']/value/text() != ''">
						<xsl:call-template name="WellPayResult" />
					</xsl:when>
					<xsl:when  test="common:result/attributes/item[@key='confirm_url']/value/text() != ''">
						<xsl:call-template name="WellPayRedirect" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="WellPayList" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<!-- Вывод платежей  -->
	<xsl:template name="WellPayList">
		<xsl:call-template name="error"/>
		<div class="content">
			<p>Оплатите услуги c помощью системы электронных платежей WellPay:</p>
			<img src="img/wellpay_logo.png"/>
			<form method="post">
				<xsl:call-template name="action"/>
				<input type="hidden" name="operation" value="pay" />
				<p>Мин. сумма: <xsl:value-of select="/data/common:result/attributes/item[@key='min_summa']/value/text()"/></p>
				<p>Макс. сумма: <xsl:value-of select="/data/common:result/attributes/item[@key='max_summa']/value/text()"/></p>
				<xsl:choose>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '0'">
					<p>Тип платежа: </p>
					<p><input id="paymentType1" type="radio" name="type" value="1" checked="checked" /><label for="paymentType1">Оплата с помощью электронного кошелька Wellpay!</label> </p>
					<p><input id="paymentType2" type="radio" name="type" value="2" /><label for="paymentType2">Оплатить банковской картой</label> </p>
					</xsl:when>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '1'">
					<p>Тип платежа: </p>
					<p>Оплата с помощью электронного кошелька Wellpay! </p>
					<input id="paymentType1" type="hidden" name="type" value="1"/>
					</xsl:when>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '2'">
					<p>Тип платежа: </p>
					<p>Оплатить банковской картой </p>
					<input id="paymentType2" type="hidden" name="type" value="2" />
					</xsl:when>
				</xsl:choose>
				Сумма: <input type="text" name="amount" size="13" />
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Оплатить'"/>
				</xsl:call-template>
			</form>
			<br/><br/>
		</div>
		
		<form method="get" action="{$WEBEXECUTER}">
			<xsl:call-template name="action"/>
			<xsl:call-template name="periodFilter"/>
			<input type="hidden" name="search" value="1"/>
		</form>
				
		<div class="report">
			<table class="table800">
				<thead>
				  <tr>
					<td>Дата/время оплаты</td>
					<td>Сумма</td>
					<td>Номер</td>
	  			</tr>
	 			</thead>
	 			<tbody>
	  				<xsl:for-each select="/data/common:result/data/item">
	  					<tr>
	  						<td>
	  							<xsl:value-of select="@paymentDate" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@amount" />
	  						</td>
	  						<td>
	  							<xsl:value-of select="@id" />
	  						</td>
	  					</tr>
	  				</xsl:for-each>
	 			</tbody>
			</table>
		</div>
	</xsl:template>
	
	<xsl:template name="WellPayResult">
		<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text() = 'success'">
			<p>Ваш платеж успешно произведен.</p>
		</xsl:if>
		<xsl:if test="/data/common:result/attributes/item[@key='status']/value/text() = 'fail'">
			<p>Ваш платеж не был произведен.</p>
		</xsl:if>
	</xsl:template>
	
	<!-- Подтверждение платежа -->
	<xsl:template name="WellPayRedirect">
		<form method="post" accept-charset="utf-8">
			<xsl:attribute name="action">
				<xsl:value-of select="/data/common:result/attributes/item[@key='confirm_url']/value/text()"/>
			</xsl:attribute>
						
			<div class="report">
				<p>Пополнить договор <b><xsl:value-of select="/data/common:result/attributes/item[@key='contract']/value/text()"/></b> на сумму 
				<b><xsl:value-of select="/data/common:result/attributes/item[@key='amount']/value/text()"/></b>?</p>
			</div>
			
			<input type="hidden" name="shop">
				<xsl:attribute name="value">
					<xsl:choose>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '1'">
					<xsl:value-of select="/data/common:result/attributes/item[@key='w_shop']/value/text()"/>
					</xsl:when>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '2'">
					<xsl:value-of select="/data/common:result/attributes/item[@key='c_shop']/value/text()"/>
					</xsl:when>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() = '0'">
						<xsl:choose>
							<xsl:when test="/data/common:result/attributes/item[@key='type']/value/text() = '1'">
								<xsl:value-of select="/data/common:result/attributes/item[@key='w_shop']/value/text()"/>
							</xsl:when>
							<xsl:when test="/data/common:result/attributes/item[@key='type']/value/text() = '2'">
								<xsl:value-of select="/data/common:result/attributes/item[@key='c_shop']/value/text()"/>
							</xsl:when>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
				</xsl:attribute>
			</input>
			<input type="hidden" name="type">
				<xsl:attribute name="value">
					<xsl:value-of select="/data/common:result/attributes/item[@key='type']/value/text()"/>
				</xsl:attribute>
			</input>
			<input type="hidden" name="amount">
				<xsl:attribute name="value">
					<xsl:value-of select="/data/common:result/attributes/item[@key='amount']/value/text()"/>
				</xsl:attribute>
			</input>
			
			<input type="hidden" name="currency">
				<xsl:attribute name="value">
					<xsl:value-of select="/data/common:result/attributes/item[@key='currency']/value/text()"/>
				</xsl:attribute>
			</input>
			
			<input type="hidden" name="invoice">
				<xsl:attribute name="value">
					<xsl:value-of select="/data/common:result/attributes/item[@key='invoice']/value/text()"/>
				</xsl:attribute>
			</input>
			
			<input type="hidden" name="purpose">
				<xsl:attribute name="value">
					<xsl:value-of select="/data/common:result/attributes/item[@key='purpose']/value/text()"/>
				</xsl:attribute>
			</input>
			
			<input type="hidden" name="hash">
				<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="/data/common:result/attributes/item[@key='payment']/value/text() != '0'">
					<xsl:value-of select="/data/common:result/attributes/item[@key='hash']/value/text()"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="/data/common:result/attributes/item[@key='type']/value/text() = '1'">
								<xsl:value-of select="/data/common:result/attributes/item[@key='w_hash']/value/text()"/>
							</xsl:when>
							<xsl:when test="/data/common:result/attributes/item[@key='type']/value/text() = '2'">
								<xsl:value-of select="/data/common:result/attributes/item[@key='c_hash']/value/text()"/>
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:attribute>
			</input>
			
			<table border="0" cellspacing="0">
				<tr>
					<td>
					<xsl:call-template name="okCancel">
						<xsl:with-param name="title1" select="'Да'"/>
						<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=WellPay&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
					</xsl:call-template>
					</td>
				</tr>
			</table>
			
		</form>
	</xsl:template>
	
</xsl:stylesheet>
